from django.db import models

# Create your models here.

class Sport(models.Model):
    bewertungsskala = []
    for i in range(1,11):
        bewertungsskala.append((i,i))

    sportart_list = [
        ('After Work Fitness','After Work Fitness'),
        ('Ballett','Ballett'),
        ('Basketball','Basketball'),
        ('Beachvolleyball','Beachvolleyball'),
        ('Bouldern','Bouldern'),
        ('Drachenfliegen','Drachenfliegen'),
        ('Functional Fitness','Functional Fitness'),
        ('Gerätturnen','Gerätturnen'),
        ('HIIT','HIIT'),
        ('Karate','Karate'),
        ('Kickboxen','Kickboxen'),
        ('Laufen','Laufen'),
        ('Pilates','Pilates'),
        ('Qigong','Qigong'),
        ('Rückenfit','Rückenfit'),
        ('Segeln Sportbootführerschein','Segeln Sportbootführerschein'),
        ('Skilanglauf & Schneeschuhwandern','Skilanglauf & Schneeschuhwandern'),
        ('Sweat & Relax','Sweat & Relax'),
        ('Tennis','Tennis'),
        ('Ultimate Frisbee','Ultimate Frisbee'),
        ('Yoga','Yoga')

    ]

    fields = [
        ('indoor','indoor'),
        ('outdoor','outdoor')
    ]

    sportart                = models.TextField(choices=sportart_list)
    field                   = models.CharField(default='outdoor',max_length=50,choices=fields)
    einzelsport             = models.IntegerField(default=1,choices=bewertungsskala)
    mannschaftssport        = models.IntegerField(default=1,choices=bewertungsskala)
    ausdauer                = models.IntegerField(default=1,choices=bewertungsskala)
    kraft                   = models.IntegerField(default=1,choices=bewertungsskala)
    kampfsport              = models.IntegerField(default=1,choices=bewertungsskala)
    technischakrobatisch    = models.IntegerField(default=1,choices=bewertungsskala)
    url                     = models.TextField()#URLField liefert Error
    
    
    def __str__(self):
        return self.sportart

#fragen-class
class Question(models.Model):
    pass



#Wissensnack
class Wissensnack(models.Model):
    pass



